CREATE TABLE fun_docio_streams (
    STREAM_ID                     NUMBER(18, 0) ,
    STREAM_CODE                   VARCHAR2(960)     NOT NULL,
    STREAM_DIRECTION_CODE         VARCHAR2(120)     NOT NULL,
    STREAM_TYPE_CODE              VARCHAR2(120)     NOT NULL,
    STREAM_STORE_TYPE_CODE        VARCHAR2(120) ,
    STREAM_STORE_CONFIG           BLOB          ,
    CREDENTIAL_STORE_TYPE_CODE    VARCHAR2(120) ,
    CREDENTIAL_CONFIG             BLOB          ,
    STREAM_EMAIL_ADDRESS          VARCHAR2(1280),
    STREAM_ENDPOINT               VARCHAR2(2000),
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ADDITIONAL_METADATA_JSON      CLOB          ,
    STREAM_ID                     NUMBER(18, 0) ,
    STREAM_CODE                   VARCHAR2(960)     NOT NULL,
    STREAM_DIRECTION_CODE         VARCHAR2(120)     NOT NULL,
    STREAM_TYPE_CODE              VARCHAR2(120)     NOT NULL,
    STREAM_STORE_TYPE_CODE        VARCHAR2(120) ,
    STREAM_STORE_CONFIG           BLOB          ,
    CREDENTIAL_STORE_TYPE_CODE    VARCHAR2(120) ,
    CREDENTIAL_CONFIG             BLOB          ,
    STREAM_EMAIL_ADDRESS          VARCHAR2(1280),
    STREAM_ENDPOINT               VARCHAR2(2000),
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ADDITIONAL_METADATA_JSON      CLOB          ,
    CONSTRAINT pk_fun_docio_streams PRIMARY KEY (STREAM_ID, STREAM_ID)
);
